<form
  *ngIf="dropdownList"
  [formGroup]="projectForm"
  novalidate
  (ngSubmit)="onSubmit()"
>
  <!-- Name -->

  <label for="project-name">{{ "name" | translate }}: </label>
  <input
    id="project-name"
    type="text"
    formControlName="name"
    class="form-control"
  />
  <div
    *ngIf="
      projectForm.controls['name'].invalid &&
      (projectForm.controls['name'].dirty ||
        projectForm.controls['name'].touched)
    "
    class="alert alert-danger p-1"
  >
    <div *ngIf="projectForm.controls['name'].errors?.['required']">
      {{ "require" | translate }}
    </div>
    <div *ngIf="projectForm.controls['name'].errors?.['pattern']">
      {{ "pattern" | translate }}
    </div>
  </div>

  <!-- Description -->

  <label for="description">{{ "description" | translate }}: </label>
  <textarea
    id="description"
    rows="3"
    formControlName="description"
    class="form-control"
  ></textarea>

  <!-- StartTime -->

  <div class="row justify-content-between">
    <div class="col-auto">
      <label for="startTime">{{ "startTime" | translate }}: </label>
      <div class="input-group">
        <input
          class="form-control"
          placeholder="yyyy-mm-dd"
          id="startTime"
          ngbDatepicker
          #s="ngbDatepicker"
          formControlName="startTime"
          ngbDatepicker
        />
        <button
          class="btn btn-outline-secondary calendar"
          (click)="s.toggle()"
          type="button"
        >
          ⏰
        </button>
      </div>
    </div>

    <!-- EndTime -->

    <div class="col-auto">
      <label for="endTime">{{ "endTime" | translate }}: </label>
      <div class="input-group">
        <input
          class="form-control"
          placeholder="yyyy-mm-dd"
          id="endTime"
          ngbDatepicker
          #e="ngbDatepicker"
          formControlName="endTime"
        />
        <button
          class="btn btn-outline-secondary calendar"
          (click)="e.toggle()"
          type="button"
        >
          ⏰
        </button>
      </div>
      <div
        class="alert alert-danger p-1"
        *ngIf="projectForm.controls['endTime'].errors?.['validator']"
      >
        {{ "pattern" | translate }}
      </div>
    </div>
  </div>

  <!-- Category -->

  <label for="category">{{ "category" | translate }}: </label>
  <select class="form-select" id="category" formControlName="category">
    <option [value]="category" *ngFor="let category of categories">
      {{ category | translate }}
    </option>
  </select>

  <div
    *ngIf="
      projectForm.controls['category'].invalid &&
      (projectForm.controls['category'].dirty ||
        projectForm.controls['category'].touched)
    "
    class="alert alert-danger p-1"
  >
    <div *ngIf="projectForm.controls['category'].errors?.['required']">
      {{ "require" | translate }}
    </div>
  </div>

  <!-- Users -->

  <label for="users">{{ "users" | translate }}: </label>
  <ng-multiselect-dropdown
    id="users"
    [placeholder]="'Select users'"
    [settings]="dropdownSettings"
    [data]="dropdownList"
    formControlName="users"
    (click)="userActivateValidation(projectForm.controls['users'])"
  >
  </ng-multiselect-dropdown>
  <div
    *ngIf="
      projectForm.controls['users'].invalid &&
      (projectForm.controls['users'].dirty ||
        projectForm.controls['users'].touched)
    "
    class="alert alert-danger p-1"
  >
    <div *ngIf="projectForm.controls['users'].errors?.['required']">
      {{ "require" | translate }}
    </div>
  </div>

  <!-- Button -->

  <div class="wrapper mt-5">
    <button class="btn btn-dark" type="submit" [disabled]="!projectForm.valid">
      {{ buttonName | translate }}
    </button>
  </div>
</form>
